# Interface TwinfinityApiOptions

Represents a authentication session used by BimApi and BimTwinfinityApiClient.

interface TwinfinityApiOptions {
applicationName?: string;
httpClient?: TwinfinityHttpClient;
session?: { getAuthorizationHeader: () => Promise<string> };
}

##### Index

### Properties

applicationName?
httpClient?
session?

## Properties

### `Optional` applicationName

applicationName?: string

Application name used to identify the client in request headers and telemetry. If not provided, defaults to `-unknown-`.

### `Optional` httpClient

httpClient?: TwinfinityHttpClient

HTTP client to make requests to Twinfinity API.

### `Optional` session

session?: { getAuthorizationHeader: () => Promise<string> }

Session used to get authorization header for requests. If not provided, requests will be made without an authorization header. If provided, the client will use this session to get the authorization header for each request.